Bullet Collision Detection & Physics Library: btMaterialProperties Struct Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
btMaterialProperties Struct Reference

This file was created by Alex Silverman. More...

`#include <btTriangleIndexVertexMaterialArray.h>`

## Public Attributes
int | m_numMaterials
| m_materialBase ==========> 2 btScalar values make up one material, friction then restitution More...
const unsigned char * | m_materialBase
int | m_materialStride
PHY_ScalarType | m_materialType
int | m_numTriangles
| m_numTriangles <=========== This exists in the btIndexedMesh object for the same subpart, but since we're padding the structure, it can be reproduced at no real cost m_triangleMaterials =====> 1 integer value makes up one entry eg: m_triangleMaterials[1] = 5; // This will set triangle 2 to use material 5 More...
const unsigned char * | m_triangleMaterialsBase
int | m_triangleMaterialStride
PHY_ScalarType | m_triangleType
| m_triangleType <========== Automatically set in addMaterialProperties More...

## Detailed Description

This file was created by Alex Silverman.

Definition at line 23 of file btTriangleIndexVertexMaterialArray.h.

## Member Data Documentation

## ◆ m_materialBase

const unsigned char* btMaterialProperties::m_materialBase

Definition at line 28 of file btTriangleIndexVertexMaterialArray.h.

## ◆ m_materialStride

int btMaterialProperties::m_materialStride

Definition at line 29 of file btTriangleIndexVertexMaterialArray.h.

## ◆ m_materialType

PHY_ScalarType btMaterialProperties::m_materialType

Definition at line 30 of file btTriangleIndexVertexMaterialArray.h.

## ◆ m_numMaterials

int btMaterialProperties::m_numMaterials

m_materialBase ==========> 2 btScalar values make up one material, friction then restitution

Definition at line 27 of file btTriangleIndexVertexMaterialArray.h.

## ◆ m_numTriangles

int btMaterialProperties::m_numTriangles

m_numTriangles <=========== This exists in the btIndexedMesh object for the same subpart, but since we're padding the structure, it can be reproduced at no real cost m_triangleMaterials =====> 1 integer value makes up one entry eg: m_triangleMaterials[1] = 5; // This will set triangle 2 to use material 5

Definition at line 35 of file btTriangleIndexVertexMaterialArray.h.

## ◆ m_triangleMaterialsBase

const unsigned char* btMaterialProperties::m_triangleMaterialsBase

Definition at line 36 of file btTriangleIndexVertexMaterialArray.h.

## ◆ m_triangleMaterialStride

int btMaterialProperties::m_triangleMaterialStride

Definition at line 37 of file btTriangleIndexVertexMaterialArray.h.

## ◆ m_triangleType

PHY_ScalarType btMaterialProperties::m_triangleType

m_triangleType <========== Automatically set in addMaterialProperties

Definition at line 39 of file btTriangleIndexVertexMaterialArray.h.

The documentation for this struct was generated from the following file:

- btTriangleIndexVertexMaterialArray.h